/**
 * Copyright (c) 2009 Mark Logic Corporation. All rights reserved.
 */
package com.marklogic.cpox;

/**
 * @author Michael Blakeley, Mark Logic Corporation
 * 
 */
public class MedlineTermGenerator extends AbstractTermGenerator {

    static {
        nameList = new String[] { "ArticleTitle", "AbstractText" };
    }

    /**
     * @param configuration
     * @param args
     */
    public MedlineTermGenerator(Configuration configuration, String[] args) {
        super(configuration, args);
    }

    public static void main(String[] args) throws Exception {
        // input /home/mblakele/space/medline/medline02n-331-334.zip

        // simple test case
        Configuration configuration = new Configuration();
        configuration.configure();
        TermGenerator gen = new MedlineTermGenerator(configuration, args);
        for (int i = 0; i < 100; i++) {
            System.out.println("" + i + ": " + gen.nextWord());
        }

        // long loop, to test multiple zip entries
        long count = 0;
        String word;
        while (true) {
            count++;
            word = gen.nextWord();
            if (0 == count % 10000) {
                System.out.println("" + count + ": " + word);
            }
            if (count > 3 * LIMIT) {
                break;
            }
        }
    }

}
